org.apache.ignite.cache

## Class CacheTypeMetadata

- java.lang.Object
- - org.apache.ignite.cache.CacheTypeMetadata

All Implemented Interfaces:
  Serializable

    public class CacheTypeMetadata
    extends Object
    implements Serializable

Type metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheTypeMetadata()` Default constructor.
`CacheTypeMetadata(CacheTypeMetadata src)` Copy constructor.

### Method Summary

Methods
`Map<String,Class<?>>` `getAscendingFields()` Gets ascending-indexed fields.
`String` `getDatabaseSchema()` Gets database schema name.
`String` `getDatabaseTable()` Gets table name in database.
`Map<String,Class<?>>` `getDescendingFields()` Gets descending-indexed fields.
`Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>>` `getGroups()` Gets group-indexed fields.
`Collection<CacheTypeFieldMetadata>` `getKeyFields()` Gets key fields.
`String` `getKeyType()` Gets key type.
`Map<String,Class<?>>` `getQueryFields()` Gets query-enabled fields.
`Collection<String>` `getTextFields()` Gets text-indexed fields.
`Collection<CacheTypeFieldMetadata>` `getValueFields()` Gets value fields.
`String` `getValueType()` Gets value type.
`void` `setAscendingFields(Map<String,Class<?>> ascFlds)` Sets ascending-indexed fields.
`void` `setDatabaseSchema(String dbSchema)` Sets database schema name.
`void` `setDatabaseTable(String dbTbl)` Table name in database.
`void` `setDescendingFields(Map<String,Class<?>> descFlds)` Sets descending-indexed fields.
`void` `setGroups(Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> grps)` Sets group-indexed fields.
`void` `setKeyFields(Collection<CacheTypeFieldMetadata> keyFields)` Sets key fields.
`void` `setKeyType(Class<?> cls)` Sets key type.
`void` `setKeyType(String keyType)` Sets key type.
`void` `setQueryFields(Map<String,Class<?>> qryFlds)` Sets query fields map.
`void` `setTextFields(Collection<String> txtFlds)` Sets text-indexed fields.
`void` `setValueFields(Collection<CacheTypeFieldMetadata> valFields)` Sets value fields.
`void` `setValueType(Class<?> cls)` Sets value type.
`void` `setValueType(String valType)` Sets value type.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheTypeMetadata

    public CacheTypeMetadata()

Default constructor.

#### CacheTypeMetadata

    public CacheTypeMetadata(CacheTypeMetadata src)

Copy constructor.

### Method Detail

#### getDatabaseSchema

    public String getDatabaseSchema()

Gets database schema name.

Returns:
  Schema name.

#### setDatabaseSchema

    public void setDatabaseSchema(String dbSchema)

Sets database schema name.

Parameters:
  `dbSchema` - Schema name.

#### getDatabaseTable

    public String getDatabaseTable()

Gets table name in database.

Returns:
  Table name in database.

#### setDatabaseTable

    public void setDatabaseTable(String dbTbl)

Table name in database.

Parameters:
  `dbTbl` - Table name in database.

#### getKeyType

    public String getKeyType()

Gets key type.

Returns:
  Key type.

#### setKeyType

    public void setKeyType(String keyType)

Sets key type.

Parameters:
  `keyType` - Key type.

#### setKeyType

    public void setKeyType(Class<?> cls)

Sets key type.

Parameters:
  `cls` - Key type class.

#### getValueType

    public String getValueType()

Gets value type.

Returns:
  Key type.

#### setValueType

    public void setValueType(String valType)

Sets value type.

Parameters:
  `valType` - Value type.

#### setValueType

    public void setValueType(Class<?> cls)

Sets value type.

Parameters:
  `cls` - Value type class.

#### getKeyFields

    public Collection<CacheTypeFieldMetadata> getKeyFields()

Gets key fields.

Returns:
  Key fields.

#### setKeyFields

    public void setKeyFields(Collection<CacheTypeFieldMetadata> keyFields)

Sets key fields.

Parameters:
  `keyFields` - New key fields.

#### getValueFields

    public Collection<CacheTypeFieldMetadata> getValueFields()

Gets value fields.

Returns:
  Value fields.

#### setValueFields

    public void setValueFields(Collection<CacheTypeFieldMetadata> valFields)

Sets value fields.

Parameters:
  `valFields` - New value fields.

#### getQueryFields

    public Map<String,Class<?>> getQueryFields()

Gets query-enabled fields.

Returns:
  Collection of fields available for query.

#### setQueryFields

    public void setQueryFields(Map<String,Class<?>> qryFlds)

Sets query fields map.

Parameters:
  `qryFlds` - Query fields.

#### getAscendingFields

    public Map<String,Class<?>> getAscendingFields()

Gets ascending-indexed fields.

Returns:
  Map of ascending-indexed fields.

#### setAscendingFields

    public void setAscendingFields(Map<String,Class<?>> ascFlds)

Sets ascending-indexed fields.

Parameters:
  `ascFlds` - Map of ascending-indexed fields.

#### getDescendingFields

    public Map<String,Class<?>> getDescendingFields()

Gets descending-indexed fields.

Returns:
  Map of descending-indexed fields.

#### setDescendingFields

    public void setDescendingFields(Map<String,Class<?>> descFlds)

Sets descending-indexed fields.

Parameters:
  `descFlds` - Map of descending-indexed fields.

#### getTextFields

    public Collection<String> getTextFields()

Gets text-indexed fields.

Returns:
  Collection of text indexed fields.

#### setTextFields

    public void setTextFields(Collection<String> txtFlds)

Sets text-indexed fields.

Parameters:
  `txtFlds` - Text-indexed fields.

#### getGroups

    public Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> getGroups()

Gets group-indexed fields.

Returns:
  Map of group-indexed fields.

#### setGroups

    public void setGroups(Map<String,LinkedHashMap<String,IgniteBiTuple<Class<?>,Boolean>>> grps)

Sets group-indexed fields.

Parameters:
  `grps` - Map of group-indexed fields from index name to index fields.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015